import { Component, OnDestroy, OnInit } from '@angular/core';
import { MatCardModule } from '@angular/material/card';
import { Router, RouterModule } from '@angular/router';
import { Subscription } from 'rxjs';
import { environment } from '../../environments/environment';

@Component({
    selector: 'login',
    standalone: true,
    imports: [MatCardModule, RouterModule],
    templateUrl: './login.component.html',
    styleUrl: './login.component.scss'
})
export class LoginComponent implements OnInit, OnDestroy {
    subscription: Subscription | null;

    constructor(private router: Router) {
        this.subscription = null;
    }

    ngOnInit(): void {
        
    }

    ngOnDestroy(): void {
        if (this.subscription)
            this.subscription.unsubscribe()
    }

    login() {
        document.location.replace(environment.API_HOST + '/auth');
    }
}
